// IOControlDlg.h : 標頭檔
//

#pragma once

#include "i8196F.h"
#include "afxwin.h"

// CIOControlDlg 對話方塊
class CIOControlDlg : public CDialog
{
// 建構
public:
	CIOControlDlg(CWnd* pParent = NULL);	// 標準建構函式

// 對話方塊資料
	enum { IDD = IDD_IOCONTROL_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支援

// 程式碼實作
protected:
	HICON m_hIcon;

	// 產生的訊息對應函式
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CStatic m_stcFunErr;

	HBITMAP m_hBmpErr;
	HBITMAP m_hBmpOnDI;
	HBITMAP m_hBmpOnDO;
	HBITMAP m_hBmpOff;
	CComboBox m_cmbSlotNo;

	afx_msg void OnTimer(UINT_PTR nIDEvent);

	void OnstcGrp(UINT nID);
	int ToggleFRnetDO(WORD GroupNo, WORD Ch);
	void OnbtnSetGrp(UINT nID);

	void OnstcGDO(UINT nID);
	int ToggleGPIODO(WORD Ch);
	afx_msg void OnBnClickedbtnsetgpio();
	afx_msg void OnStnClickedstcfunerr();
	afx_msg void OnCbnSelchangecmbslotno();
};
